package bll

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IRoleMenu RoleMenu业务逻辑接口
type IRoleMenu interface {
	// 查询数据
	Query(ctx context.Context, params schema.RoleMenuQueryParam, opts ...schema.RoleMenuQueryOptions) (*schema.RoleMenuQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.RoleMenuQueryOptions) (*schema.RoleMenu, error)
	// 创建数据
	Create(ctx context.Context, item schema.RoleMenu) (*schema.RoleMenu, error)
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.RoleMenu) (*schema.RoleMenu, error)
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
